summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtest/run_window_test.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/test/run_window_test.sh b/test/run_window_test.sh
index 7439a09b..3d481257 100755
--- a/test/run_window_test.sh
+++ b/test/run_window_test.sh
@@ -18,8 +18,14 @@ sleep 0.4
xdotool key Return
sleep 1;
xdotool key Ctrl+d
-wait ${XPID}
+sleep 1;
kill ${TPID}
+if pgrep -u $USER xterm
+then
+ kill ${XPID}
+ kill ${RPID}
+ exit 1
+fi
# Get result, kill xvfb
wait ${RPID}
RETV=$?